na = 2;
noverlap = 100;

signal = vout_0inj;
signal = signal(round(0.32*length(signal)):length(signal));
nx = max(size(signal));
w = hanning(floor(nx/na));
[Pxx,f]=pwelch(signal,w,noverlap,[],1/ts);
Pxx_0inj = Pxx;

signal = vout_1inj;
signal = signal(round(0.32*length(signal)):length(signal));
nx = max(size(signal));
w = hanning(floor(nx/na));
[Pxx,f]=pwelch(signal,w,noverlap,[],1/ts);
Pxx_1inj = Pxx;

signal = vout_2inj;
signal = signal(round(0.32*length(signal)):length(signal));
nx = max(size(signal));
w = hanning(floor(nx/na));
[Pxx,f]=pwelch(signal,w,noverlap,[],1/ts);
Pxx_2inj = Pxx;

signal = vout_4inj;
signal = signal(round(0.32*length(signal)):length(signal));
nx = max(size(signal));
w = hanning(floor(nx/na));
[Pxx,f]=pwelch(signal,w,noverlap,[],1/ts);
Pxx_4inj = Pxx;

signal = vout_7inj;
signal = signal(round(0.32*length(signal)):length(signal));
nx = max(size(signal));
w = hanning(floor(nx/na));
[Pxx,f]=pwelch(signal,w,noverlap,[],1/ts);
Pxx_7inj = Pxx;